Index: trunk/src/lib/physics/fields/field.cc
===================================================================
--- trunk/src/lib/physics/fields/field.cc	(revision 8350)
+++ trunk/src/lib/physics/fields/field.cc	(revision 9406)
@@ -22,5 +22,5 @@
 #include "util/loading/factory.h"
 #include "util/loading/load_param.h"
-using namespace std;
+
 
 /**
Index: trunk/src/lib/physics/fields/gravity.cc
===================================================================
--- trunk/src/lib/physics/fields/gravity.cc	(revision 8350)
+++ trunk/src/lib/physics/fields/gravity.cc	(revision 9406)
@@ -21,5 +21,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(Gravity, CL_FIELD_GRAVITY);
Index: trunk/src/lib/physics/fields/point_gravity.cc
===================================================================
--- trunk/src/lib/physics/fields/point_gravity.cc	(revision 8350)
+++ trunk/src/lib/physics/fields/point_gravity.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "point_gravity.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/physics/fields/twirl.cc
===================================================================
--- trunk/src/lib/physics/fields/twirl.cc	(revision 8350)
+++ trunk/src/lib/physics/fields/twirl.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "twirl.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/physics/physics_connection.cc
===================================================================
--- trunk/src/lib/physics/physics_connection.cc	(revision 8350)
+++ trunk/src/lib/physics/physics_connection.cc	(revision 9406)
@@ -27,5 +27,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(PhysicsConnection, CL_PHYSICS_CONNECTION);
@@ -81,5 +81,5 @@
   }
   else
-    PRINTF(5)("subject::%s\n", this->subject->getName());
+    PRINTF(5)("subject::%s\n", this->subject->getCName());
 }
 
@@ -95,5 +95,5 @@
   }
   else
-    PRINTF(5)("field::%s\n", this->field->getName());
+    PRINTF(5)("field::%s\n", this->field->getCName());
 
 }
Index: trunk/src/lib/physics/physics_engine.cc
===================================================================
--- trunk/src/lib/physics/physics_engine.cc	(revision 8350)
+++ trunk/src/lib/physics/physics_engine.cc	(revision 9406)
@@ -23,5 +23,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 
@@ -162,5 +162,5 @@
 Field* PhysicsEngine::getFieldByName(const std::string& fieldName) const
 {
-  list<Field*>::const_iterator field;
+  std::list<Field*>::const_iterator field;
   for (field = this->fields.begin(); field != this->fields.end(); field++)
     if (fieldName == (*field)->getName())
@@ -199,5 +199,5 @@
 PhysicsConnection* PhysicsEngine::getPhysicsConnectionByName(const std::string& physicsConnectionName) const
 {
-  list<PhysicsConnection*>::const_iterator pc;
+  std::list<PhysicsConnection*>::const_iterator pc;
   for (pc = this->connections.begin(); pc != this->connections.end(); pc++)
     if (physicsConnectionName == (*pc)->getName())
@@ -218,5 +218,5 @@
   /* go through all the PhysicsInterface(s) and tick them,
   meaning let the fields work */
-  list<PhysicsConnection*>::iterator pc;
+  std::list<PhysicsConnection*>::iterator pc;
   for (pc = this->connections.begin(); pc != this->connections.end(); pc++)
     (*pc)->apply();
@@ -225,5 +225,5 @@
   if (this->interfaces != NULL || (this->interfaces = ClassList::getList(CL_PHYSICS_INTERFACE)) != NULL)
   {
-    list<BaseObject*>::const_iterator tickPhys;
+    std::list<BaseObject*>::const_iterator tickPhys;
     for (tickPhys = this->interfaces->begin(); tickPhys != this->interfaces->end(); tickPhys++)
       dynamic_cast<PhysicsInterface*>(*tickPhys)->tickPhys(dt);
Index: trunk/src/lib/physics/physics_interface.cc
===================================================================
--- trunk/src/lib/physics/physics_interface.cc	(revision 8350)
+++ trunk/src/lib/physics/physics_interface.cc	(revision 9406)
@@ -29,5 +29,5 @@
 #include "stdincl.h"
 
-using namespace std;
+
 
 
@@ -68,5 +68,5 @@
     {
     // todo: find out if children are PhysicsInterface in an efficient way
-    if (strcmp( pn->getClassName(), "PhysicsInterface")) {
+    if (strcmp( pn->getClassCName(), "PhysicsInterface")) {
     massSum += ((PhysicsInterface*)pn)->getTotalMass();
     }
@@ -77,5 +77,5 @@
     if (massSum != this->massChildren ) {
     this->massChildren = massSum;
-    if (strcmp( massCalcPNode->parent->getClassName(), "PhysicsInterface"))
+    if (strcmp( massCalcPNode->parent->getClassCName(), "PhysicsInterface"))
     ((PhysicsInterface*)massCalcPNode->parent)->recalcMass();
     } else {
